#import "GFGraph.h"

@class QCBooleanPort, QCContext, QCNumberPort, QCPatchRuntime;

@interface QCPatch : GFGraph
{
    QCPatchRuntime *_executionRuntime;	// 84 = 0x54
    int _executionMode;	// 88 = 0x58
    unsigned int _executionFlags;	// 92 = 0x5c
    QCContext *_executionContext;	// 96 = 0x60
    int _timebase;	// 100 = 0x64
    QCBooleanPort *_enableInput;	// 104 = 0x68
    QCNumberPort *_timeInput;	// 108 = 0x6c
    BOOL _enabled;	// 112 = 0x70
    unsigned int _activeCount;	// 116 = 0x74
    double _lastExecutionTime;	// 120 = 0x78
    unsigned int _lastExecutionFrame;	// 128 = 0x80
    double _activationTime;	// 132 = 0x84
    void *_observationInfo;	// 140 = 0x8c
    void *_unused3[4];	// 144 = 0x90
}

+ (BOOL)accessInstanceVariablesDirectly;	// IMP=0x97b26e80
+ (BOOL)automaticallyNotifiesObserversForKey:(id)fp8;	// IMP=0x97b26e87
- (id)consumerSubpatches;	// IMP=0x97b26e8e
- (void)setOrder:(unsigned int)fp8 forConsumerSubpatch:(id)fp12;	// IMP=0x97b26fdc
- (unsigned int)orderForConsumerSubpatch:(id)fp8;	// IMP=0x97b27101
- (void)setTimebase:(int)fp8;	// IMP=0x97aeb50d
- (int)timebase;	// IMP=0x97ae87b7
- (id)systemInputPorts;	// IMP=0x97ae7aba
- (id)systemOutputPorts;	// IMP=0x97b27235

@end

